# $Revision: 1.15 $, $Date: 2005/08/13 21:40:35 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library to access data on a CDDB server
Summary(pl):	Biblioteka dostpu do danych na serwerze CDDB
Name:		libcddb
Version:	1.2.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libcddb/%{name}-%{version}.tar.bz2
# Source0-md5:	2861fe1299da273fe68783abecc3fe62
URL:		http://libcddb.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libcdio-devel >= 0.74
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libcdio >= 0.74
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org/). It
tries to be as cross-platform as possible.

%description -l pl
libcddb to biblioteka zawierajca implementacje protokow (CDDBP,
HTTP, SMTP) dostpu do danych na serwerze CDDB (http://freedb.org/).
Prbuje by przenona na ile to moliwe.

%package devel
Summary:	Header files for libcddb library
Summary(pl):	Pliki nagwkowe biblioteki libcddb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcddb library.

%description devel -l pl
Pliki nagwkowe biblioteki libcddb.

%package static
Summary:	Static libcddb library
Summary(pl):	Statyczna biblioteka libcddb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcddb library.

%description static -l pl
Statyczna biblioteka libcddb.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/cddb
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcddb.spec,v $
Revision 1.15  2005/08/13 21:40:35  charles
- BR: gettext-devel

Revision 1.14  2005/08/13 19:11:47  qboosh
- updated to 1.2.1

Revision 1.13  2005/07/24 23:08:04  qboosh
- updated to 1.2.0 (note: new soname)

Revision 1.12  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.11  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.10  2005/06/15 16:51:32  witekfl
- added bcond_without static
- BR: libcdio >= 0.74 because build failed with 0.67

Revision 1.9  2005/05/21 07:42:28  qboosh
- updated to 1.0.2

Revision 1.8  2005/04/23 17:06:36  qboosh
- updated to 1.0.1

Revision 1.7  2005/04/17 19:36:36  qboosh
- updated to 1.0.0

Revision 1.6  2004/12/27 23:12:31  qboosh
- release 2

Revision 1.5  2004/12/27 23:11:59  qboosh
- proper dep for automake
- BR libcdio-devel, pkgconfig to build with cdio support

Revision 1.4  2004/10/16 21:06:56  paszczus
- updated to 0.9.6
- added Source0-size

Revision 1.3  2004/07/22 20:55:44  qboosh
- updated to 0.9.5

Revision 1.2  2004/01/09 17:41:13  jajcus
- Release: 2
- refresh config.sub (for AMD64)

Revision 1.1  2003/12/30 23:11:44  qboosh
- new
